package com.kxs.user.biz.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.kxs.user.api.model.KxsShdScore;

/**
 * 股东大盘分红用户积分表(KxsShdScore)表服务接口
 *
 * @author 系统
 * @since 2024-05-07 09:11:27
 */
public interface KxsShdScoreService extends IService<KxsShdScore> {

    Object getMyStandards(String month);

    Object getShareholderUserList(Page<KxsShdScore> page, String month, Integer type);

    /**
     * 积分统计
     */
    void integralStat();
}

